commit:     32f3b334146d849acd231c85cf2f7eefebe3b3c9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  8 00:52:10 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Apr  8 00:58:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32f3b334

dev-libs/icu-layoutex: add 71.1 (unkeyworded)

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/icu-layoutex/Manifest                 |   2 +
 dev-libs/icu-layoutex/icu-layoutex-71.1.ebuild | 127 +++++++++++++++++++++++++
 2 files changed, 129 insertions(+)

diff --git a/dev-libs/icu-layoutex/Manifest b/dev-libs/icu-layoutex/Manifest
index 28544b0b2812..de0c50c6ffa5 100644
--- a/dev-libs/icu-layoutex/Manifest
+++ b/dev-libs/icu-layoutex/Manifest
@@ -1 +1,3 @@
 DIST icu4c-70_1-src.tgz 25449582 BLAKE2B 
e229376ee45322db99aa963465048ab5e694ce9f0ba335f071817198238de21fcd77dfe3e86ea1394790e2a3b6d96772d1b98cb7dccd6462a9dd05c0ab7bdef0
 SHA512 
0b26ae7207155cb65a8fdb25f7b2fa4431e74b12bccbed0884a17feaae3c96833d12451064dd152197fd6ea5fd3adfd95594284a463e66c82e0d860f645880c9
+DIST icu4c-71_1-src.tgz 25701340 BLAKE2B 
182972d87fe5b69b5e08c39ab9bb0ac7ffc7b36530168b3548faa051cce2b73b9f1c1d23198a4b1c655442155e369da76929e4f54fe4e32265160363428d4916
 SHA512 
1fd2a20aef48369d1f06e2bb74584877b8ad0eb529320b976264ec2db87420bae242715795f372dbc513ea80047bc49077a064e78205cd5e8b33d746fd2a2912
+DIST icu4c-71_1-src.tgz.asc 659 BLAKE2B 
ac281e0a9b94bf6bfddee2dd5dc7553836aa50ae84f55478a662d0cd1e116a944de92dd5fd701164d62fb5b8e8effcdb3456a151a6b198d603e2324ccd76e334
 SHA512 
3371e14f3959defa7fb8d3eb0308084646ed553169b7a845bff89f9a8c1054ef5bee45c26c1834a84cab38fa87710f1585e6c5787be1fe2df356eb5c2ba20aae

diff --git a/dev-libs/icu-layoutex/icu-layoutex-71.1.ebuild 
b/dev-libs/icu-layoutex/icu-layoutex-71.1.ebuild
new file mode 100644
index 000000000000..15364d2face5
--- /dev/null
+++ b/dev-libs/icu-layoutex/icu-layoutex-71.1.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Please bump with dev-libs/icu
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/icu.asc
+inherit autotools flag-o-matic multilib-minimal toolchain-funcs verify-sig
+
+DESCRIPTION="External layout part of International Components for Unicode"
+HOMEPAGE="https://icu-project.org/";
+SRC_URI="https://github.com/unicode-org/icu/releases/download/release-${PV//./-}/icu4c-${PV//./_}-src.tgz";
+SRC_URI+=" verify-sig? ( 
https://github.com/unicode-org/icu/releases/download/release-${PV//./-}/icu4c-${PV//./_}-src.tgz.asc
 )"
+S="${WORKDIR}/${PN/-layoutex}/source"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+#KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       ~dev-libs/icu-${PV}[${MULTILIB_USEDEP}]
+       dev-libs/icu-le-hb[${MULTILIB_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       verify-sig? ( sec-keys/openpgp-keys-icu )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-65.1-remove-bashisms.patch" )
+
+src_prepare() {
+       default
+
+       # Disable renaming as it assumes stable ABI and that consumers
+       # won't use unofficial APIs. We need this despite the configure 
argument.
+       sed -i \
+               -e "s/#define U_DISABLE_RENAMING 0/#define U_DISABLE_RENAMING 
1/" \
+               common/unicode/uconfig.h || die
+
+       # Fix linking of icudata
+       sed -i \
+               -e "s:LDFLAGSICUDT=-nodefaultlibs -nostdlib:LDFLAGSICUDT=:" \
+               config/mh-linux || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # Use C++14
+       append-cxxflags -std=c++14
+
+       if tc-is-cross-compiler; then
+               mkdir "${WORKDIR}"/host || die
+               pushd "${WORKDIR}"/host >/dev/null || die
+
+               CFLAGS="" CXXFLAGS="" ASFLAGS="" LDFLAGS="" \
+               CC="$(tc-getBUILD_CC)" CXX="$(tc-getBUILD_CXX)" 
AR="$(tc-getBUILD_AR)" \
+               RANLIB="$(tc-getBUILD_RANLIB)" LD="$(tc-getBUILD_LD)" \
+               "${S}"/configure --disable-renaming --disable-debug \
+                       --disable-samples --enable-static || die
+               emake
+
+               popd >/dev/null || die
+       fi
+
+       multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --disable-renaming
+               # We want a minimal build as this is just for layoutex
+               # so we disable as much as possible
+               --disable-samples
+               --disable-extras
+               --disable-icuio
+
+               # This is icu-layoutex, so..
+               --enable-layoutex
+
+               $(use_enable debug)
+               $(use_enable static-libs static)
+
+               # Need tools for tests, otherwise get this in configure:
+               # "## Note: you have disabled ICU's tools. This ICU cannot 
build its own data or tests.
+               # ## Expect build failures in the 'data', 'test', and other 
directories."
+               # ... although layoutex has no tests right now anyway, but 
let's keep this
+               # for the future.
+               $(use_enable test tools)
+               $(use_enable test tests)
+       )
+
+       tc-is-cross-compiler && myeconfargs+=(
+               --with-cross-build="${WORKDIR}"/host
+       )
+
+       # icu tries to use clang by default
+       tc-export CC CXX
+
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+       # INTLTEST_OPTS: intltest options
+       #   -e: Exhaustive testing
+       #   -l: Reporting of memory leaks
+       #   -v: Increased verbosity
+       # IOTEST_OPTS: iotest options
+       #   -e: Exhaustive testing
+       #   -v: Increased verbosity
+       # CINTLTST_OPTS: cintltst options
+       #   -e: Exhaustive testing
+       #   -v: Increased verbosity
+       pushd layoutex &>/dev/null || die
+       emake -j1 VERBOSE="1" check
+       popd &>/dev/null || die
+}
+
+multilib_src_install() {
+       pushd layoutex &>/dev/null || die
+       default
+       popd &>/dev/null || die
+}

Reply via email to